PopTray Help System

Welcome
Welcome to the PopTray Help System.

  • Description
  • User Interface
  • What's New
  • Command-line Options
  • FAQ
  • Contact Info


Description
PopTray started as a small POP3 mail checker. I wrote it because I couldn't find a freeware program that had all the features I wanted. Since that time, many new features have been added. After years of refinement PopTray has now become a full-featured, customizable, e-mail notifier, while still keeping it's original ease of use.
    Main Features:
  • Unlimited number of Accounts
  • Customizable Toolbar
  • Show number of messages directly on the TrayIcon (rotating by account)
  • Quickly preview a message
  • Delete messages directly from the server without downloading
  • Actions that can be performed when identified by the rules you define.
    • Play different notification sounds
    • Delete from the server
    • Run any EXE file
    • Mark as Spam
    • Balloon Pop-up for Important messages
    • Ignore messages you don't care about
    • As well as many others...
  • Configurable Hot-keys/Mouse-Buttons/Command-Line options for most functions
  • Plug-in Support to Extend PopTray's functions such as:
    • Support for IMAP4, POP3SSL, Hotmail, etc. Protocols
    • Flashing scroll-lock light Notification
    • Many others are possible as they become available
  • Spam management using rules and white/black lists
  • Easily create rules based on simple selections or using powerful regular expressions.
  • Mulitple notfication methods (play sound, pop-up, etc)
  • Complete Install / Uninstall
  • Many More ...
All this for FREE !


User Interface
  • Mail List
  • Preview
  • Accounts Info
  • Options
  • Rules
  • Tray Icon
            •


Mail List
This is the main window listing all the messages currently in your mailboxes.

At the top is a tab for each of the accounts you defined. If there are any messages in a specific account, the icon of the tab will change from [image] to [image] and the number of messages will be shown next to the account name.

Below the account tabs are the following buttons:
Preview the currently selected message. While PopTray is not a full mail client, it can provide a quick view of the message.
Delete the currently selected message. Depending on the Confirm Deletion options, you will be asked if you are sure.
Send a new mail message. This will open your default e-mail client, ready to send a message. If you drag and drop a file into PopTray, it will create a new message in your e-mail client, with the dragged files as attachments.
Reply to the selected message. This will open your default e-mail client with the current message's sender in the to: field and the subject filled in. It will not fill in the body of the message.
Hide/Show message you've already viewed in PopTray.
Delete all messages with the Spam icon from the server. Messages are marked as spam either by rules, the black list, or manually by right-clicking and seletecting "Mark as Spam".
Check for new mail on the current account. If you shift-click this button, it will do a full check even when quick-checking is enabled.

You can right-click the toolbar to customize it to show the buttons you want.

Next is the list of messages in the currently selected account. You can click on the headers to sort the list by the column you click on. To remove the sorting, right-click and select No-Sort. You can also right-click on the columns to show/hide specific columns.

In front of each message is a little icon indicating the message status:
High Priority
Normal Priority
Low Priority
Protected Message. This message is protected against being deleted or marked as spam. This can be done using the whitelist or a rule with a protect action.
New Message since the last check
Message with a MIME Attachment
Ignored Message. This is a message that have been marked as ignore by a rule.
Important Message. This is a message that have been marked as important by a rule.
Message is marked as Spam (either by rule or black list).

Below the the list of messages is a status bar that indicates when PopTray last checked your mailbox. Any network errors will also be displayed here. On the right hand side the status bar will indicate the number of messages and the number of spam in the current account.

At the very bottom are three buttons:
Run the E-Mail client you defined in the options screen. The icon on the button will be set to the icon of your e-mail client.
Check all your enabled accounts.
Minimize Pop-Tray to the tray.


Preview
The Preview window gives you a quick view of a message on the server.

When you click the preview button (or double-click a message) PopTray will show the Preview window and then start retrieving the message from your E-mail server. If your connection is slow, or the message is huge, this can take quite a while. During the download, the Preview window will show a progress meter:

You can abort the download process by clicking the "Stop" button.

Once the entire message has been downloaded you will see different message parts.
From | From whom the message was sent.
To | To whom the message was sent (usually it's you).
Date | Date the message was sent.
Subject | The subject line of the message.
X-Mailer | The E-mail Client that the message was sent with. (If available)
Body | The MIME decoded body of your message.
Raw Message | The raw message as found on the server, including all the headers.
Attachments | Attachments will be listed as icons below the message body. You can right-click an attachment to save it to disk.

You can save your message to disk too. Clicking the Save button will ask for you to specify the filename and file type. You can save it to a MSG/EML file, which can be opened by most e-mail clients, or you can save it to a TXT file.

The Print button will immediately print the message to your default printer.

Clicking the Reply button will open your default e-mail client and create a message ready to reply. When the "MAPI instead of mailto:" option is checked, the reply will use your default MAPI client. When using MAPI your complete body will be quoted in the reply message. Using "mailto:" limited the reply body to 2000 characters.

The Delete button will delete the message from the server. The button will only be available when you are using the "Safe Delete" option to ensure that the wrong message won't be deleted.


Accounts
Clicking on the accounts tab on the right-hand side allows you to define all your e-mail accounts.

A Help button [image] can be found in the lower left corner of the screen.

First up is the account management buttons:
Add a new account. First press this button, a new account tab will appear, then fill in all the required fields.
Delete the currently selected account from PopTray. You must have at least 1 account defined.
Test your account parameters by connecting to the server. Also tries to identify the server software and show UIDL support. UIDL support is needed for Quick-Checking and Safe Delete.
Save the account information. If you don't press this button the new account info, or account changes won't be saved to the PopTray.ini file.
Cancel the changes you have may made to the account settings.

For each account you define you have to fill in the following fields:
Enabled | Checkbox that selects whether PopTray will check this account when doing an periodic check or when you click the Check All button.
Name | The name you want to give this account. This is the name that will appear on the account tabs.
Server | The address or ip of your POP3 server (eg. mail.isp.com).
Protocol | PopTray only supports the POP3 protocol by default. By installing protocol plug-ins PopTray can also support other mail protocols (eg IMAP4, POP3SSL, HTTPMail, etc.)
Port | If your server uses a different port than the default POP3 port (110), you can specify it here. When using protocol plug-ins, they may also change the port value.
Login | The login name you use on your E-mail Account (Usually the part before the @ in your e-mail address).
Password | Your E-mail Account password.
E-Mail Program | The e-mail program to run for this account. You may leave the field blank and the default e-mail client set in the options screen will be used.
Sound | The sound to play when you receive new mail in this account. You may leave this field blank and the default sound set in the options screen will be used.
Color | The color to be used in the Tray to indicate you have mail in this account. Use a different color for each account.
Timer Interval | If you set the Timer Interval per Account option, you must set the interval between mail check for each account here. Set time interval in minutes using the up-down buttons or typing in a number.


Options
Here you can set all the default options for PopTray. Once you change any option the save button becomes available. You have to save the options for the change to stay in effect after you quit PopTray.

A Help button [image] can be found in the lower left corner of the screen. A Quick Help is also available if you click on the [image] button just next to the Help button and right click the item you want help with.

All options are saved in PopTray.ini in your PopTray program directory. PopTray saves all its settings in the PopTray.ini file and Rules are saved in the Rules.ini file. You can specify a different directory for the files on the command-line.

By using the command-line
"C:\Program Files\PopTray\PopTray.exe" "%USERPROFILE%"
or
"C:\Program Files\PopTray\PopTray.exe" "%HOMEDRIVE%%HOMEPATH%"
your PopTray.ini file will be created in your user home directory, which is different for each user on the PC.

Interval:
Interval | Global Timer for all accounts (in minutes). No checking will happen if you disable AutoCheck from the Tray Menu.
Timer Interval per Account | Checking the Interval per Account buttons removes the global setting, and you must set the interval in the accounts screen.

Defaults:
E-Mail Program | The default E-mail Client you want to run when your press the "Run E-mail Client" button on the Mail List screen. Double-Clicking can be customized to run this program. Next to the Program Box is a "Test" button. Use this button to make sure you can run the program successfully.
Default Sound | The WAV file that will be played when you receive new mail on any account where you haven't specified a sound in the account details.
Language | This is a list of languages that PopTray has been translated into. Pick the language you want to use, and when you save the options, the interface will be translated instantly. Any volunteers who want to translate PopTray into other languages are welcome to contact me.

General Options:
Check for New Mail on Startup | Immediately check for mail when PopTray starts. Optionally you can set it to wait a few moments after PopTray starts before checking. This is handy when your internet connection hasn't been established yet.
Start Minimized | PopTray will startup in minimized state. Thus the window will be hidden and only the tray icon will be visible.
Animated Tray Icon | Animate the Tray Icon when you receive new mail. This will produce a flashing indicator instead of the normal static one.
Rotate Icon for each Account | Animated Tray Icon rotating to show the number of messages in each account. The account the messages are in can be identified by the color of the circle.
Reset Mail Count in Tray when Viewing | Reset the Message Count shown in the Tray Icon when you view the PopTray mail list screen. When new mail arrives only the new count since last view will be shown. Messages are also marked as Viewed.
Info Balloon on Notification | On Win2000 and later, a balloon will pop-up showing you the total number of messages in each account. When the Advanced Show Info option is checked, a window with more details will pop-up instead.
Show Window on Notification | Show the PopTray Mail List window when new mail arrives.
Delete Mail on Next Check | Allows PopTray to only mark messages for deletion instead of deleting them immediately. This allows time to make changes to the selections and also uses your internet connection more efficiently. The next time after PopTray checks for new messages, PopTray will finally delete the selected messages from the e-mail server.

Advanced Options:
Connection TimeOut | The number of seconds to wait before giving a timeout error when connecting to the mail server.
Enable Quick Checking | When checking for new mail PopTray will use the POP3 UIDL command to quickly check the ids of all messages on the server. Only new messages identified will be downloaded. This speeds up checking significantly. Switch this option off if your mail server has problems with the UIDL command.
Ignore Connection Errors | When an errors occurs while connecting this option will supress the pop-up error dialog. See the account status bar for the last error.
Ignore Retrieve Errors | Ignore errors reported by the server when retrieving messages. Use this option when keep getting "Unable to Retrieve Message" errors.
AutoCheck only while Minimized | The automatic checking for mail will only happen while PopTray is minimized. This option is to prevent errors of your working with message (preview/delete) and PopTray checking at the same time, and thus giving lock errors.
Check if On-Line | First check if you are on-line before checking for e-mail. Used by dial-up users who don't want the dial-up dialog to pop-up when you are not connected. Makes connecting a little bit slower.
Preview Top Lines | When previewing a message only the specified number of lines will be downloaded, and not the complete message. Since the message will be incomplete, attachment processing won't happen and you will only see the raw message.
Retrieve Body while Checking | Allows PopTray to download the body as well as the mail headers from the server. When enabled, PopTray will allow you to select the body as an area for testing with the rules you have defined. This will slow down checking, it is more noticable on a slow connection. To prevent PopTray from retrieving huge messages while checking, you can specifiy a maximum size to download and you can also limit the number of lines to download.

Advanced Options - User Interface:
Tray Icon while Checking | Allows you to select which icon will be shown in the tray while PopTray is busy checking for new mail.
Indicate Viewed and Unviewed Message | Unviewed messages will be shown in bold text and views messages will be in normal text.
Deletion Confirmation | When using the "Delete" button, PopTray will ask for confirmation before deleting any messages. Deleting messages using rules will not ask for confirmation.
Extra Confirmation when Deleting Protected Messages | If enabled, PopTray will require an extra confirmation before deleting messages that have been protected.
Password Protect | PopTray will ask for a password before showing the mail list screen. If you select this option a box will appear where you should type the password you want. Only use this option together with the "Minimize to Tray" option.
X Button Minimizes | The X close button in the top right-hand corner will minimize PopTray instead of closing it. If Enabled, to close PopTray just use "Quit" in the Tray Menu.
Minimize to Tray | Minimize PopTray to the System Tray instead of the Taskbar.
Multi-line Account Tabs | On the Mail and Account screens, your defined accounts are shown as tabs at the top with scroll buttons when they are wider than the screen. When you enable this option, the tabs will cascade to multiple lines instead.
Stay on Top | Always show the PopTray window on top of other windows. This setting requires a restart of PopTray to work.
Advanced Show Info | Show a pop-up window with new messages and account summary instead of the balloon info. The window will close automatically after the specified number of seconds. Setting the interval to 0 will cause the pop-up window to stay open indefinitely.
Hide Viewed Messages | If enabled, once you've viewed a message in the Mail tab, the message will become hidden after subsequent checks. The Hide button, if enabled on the toolbar, can toggle the viewed messages as hidden or shown.
Double Click Delay on Click | When you Click on the Tray Icon, a delay will occur, to see if you are about to double-click, before executing the Click action. When this option is Off, a single-click will immediately execute, and if a double-click occurs, it will execute again. eg. If Left-Click is assigned to show the messages, and you double-click the tray, it will show the messages immediately, then hide them again before executing the double-click action.
Show Messages while Checking | PopTray will begin listing each message as it finds them on the mail server to the Mail List Screen instead of waiting for all of the messages to be read before listing them.

Advanced Options - Miscellaneous:
MAPI instead of mailto: | By default PopTray uses a "mailto" URL link to ask your e-mail client to create a message (when clicking New Message or Reply). By setting this option, PopTray will use the Simple MAPI interface to communicate with the e-mail client. If your e-mail client supports a MAPI interface, this will probably give more reliable results.
Safe Delete (using UIDL) | Whenever you want to delete a message, PopTray will use the POP3 UIDL command (if your server supports it) to get a unique identifier of the message. This is used to make sure that the message you are about to delete is still the same message on the server.
Log Rules | Write all rules actions to a log file. On each rule is an action you can switch off so that it doesn't get logged. Note: RULES.LOG is in the same directory as the PopTray files unless the command-line options have been used to specify a different directory.
Remember Viewed Messages | The message IDs you have viewed will be saved to a file, so the next time you open PopTray it will remember which messages have been viewed.
Black List mark as Spam | Normally all mail from anyone in the black list will be deleted. With this option it will be marked as spam instead of deleted.
Don't Check between | This will suspend auto-checking for mail during the hours specified.

Mouse Button Actions:
Show Messages | Show the main PopTray window, with the Mail List Screen selected.
Pop-up Menu | Show the Tray Pop-Up Menu at the current mouse cursor on the Mail List screen and the Tray Icon.
Check for Mail | Check all Accounts for New Mail.
Run E-mail Client | Run the E-mail Client specified in "E-mail Program" on the Option Defaults tab.
Check and Show | Check all Accounts for New Mail, and if any messages are found, it will show the main PopTray Mail List Screen.
Show Info | Show how many messages in each of your accounts. On newer versions of Windows (Win2000,WinXP,WinME) the info will show in a balloon hint for 30 seconds, otherwise a normal dialog is displayed.
Check and Info | Check all Accounts for New Mail, and if any message are found show the Info message.
Toggle Message Window | Show the Message Window if it's hidden. If it is visible it will minimize it.
Toggle AutoCheck | Toggle the Status of AutoCheck. The Tray Icon will change to indicate that AutoCheck is switched off.
New Message | Open you default E-Mail client, with a new message open.
Toggle Sound | Switch playing of sound files on and off.
Delete Spam | Delete all messages marked as spam.
Mark as Viewed | Marks selected message as viewed.
Check First Account | Checks the first e-mail account for new messages.
Stop Checking Account | Stop checking for messages.

Hot-Keys:
Define up to 4 system-wide HotKeys to perform any of the above mentioned actions.
Just press the key combination you want in the edit box.

Although most key combinations are possible, be careful not to override default keys (eg. Ctrl-C) or it will be captured by PopTray and not sent the active program. Key combinations such as Ctrl-Alt-P are recommended.

Press the "delete" key to clear the assigned HotKey.

White / Black List:

The white list is used to specify friends you would want to receive messages from. If someone is listed in the white list, any e-mail from them will not be deleted even when a rule attempts to delete the message.

The black list is e-mail address that you do not want to receive any e-mail from. If the address is listed here any message from that address will be deleted everytime you check the server unless the option "Black List mark as Spam" is selected on the Advanced Miscellaneous Options page.

For both lists specify one e-mail address per line.

The lists also support wildcards e.g. *@spam.com

Plug-ins:

The plug-ins window will automatically list all plug-in DLLs found in the PopTray\plugins directory. Using the checkboxes, you may select which plug-ins you wish to enable. Different icons represent different types of plug-ins. You can right-click the plug-in items for plug-in specific options.


Rules
Rules allow you to perform various automated tasks as new e-mails arrive depending on the contents of each message.

A Help button [image] can be found in the lower left corner of the screen.

At the top there are the three main buttons used for rule management:

Add a new rule. First click this button and then fill in the details that will show up just to the right of the rule list.
Delete the currently selected rule.
Import the rules from someone elses RULES.INI file.

Just below the main buttons and to the left, is the list of all the rules you may have defined or just added. You may enable or disable each rule by clicking the checkmark next to the rule in the list or from the rule details area. Selecting a rule will list its details with all of its various options, criteria and actions you want for the rule.

Just to the right of the rules list is where you will be adding or editing the rule details. The following can be set:

Name | Name is for your own identification of the rule, you may choose whatever you like. TIP: A descriptive name may make it easier for organizing your rules.
Enabled | Checkbox to Enable or Disable the rule. Only enabled rules will be run.
Account | This can make the rule work either with all of the accounts or just one specified account.
New Messages Only | If enabled, the rule will only test an e-mail message if it arrived since the last mail check, all previous messages will not be tested again.
Needed Selects if the rule is to work if ANY of the criteria rows match (ANY Row) or only when ALL of the criteria rows match (ALL Rows).

Tip: Use (ANY Row) to group similar criteria that will use the same actions you want performed such as those that may identify spam.
Use (ALL Row) to create more complex rules that require several criteria to match and then select the actions you want performed.
Criteria Row Each rule can have multiple criteria rows. Each criteria row has four areas.
Area | Select the Area in the messages to test. See Area below for more information.
Compare | Select the Compare method you want to test with. See Compare below for more information.
Text | The text or criteria you want to search for in the messages. You may use letters, symbols, or numbers in this area. This area isn't case sensitive, an upper case letter is treated the same as a lower case letter. Example: A large "P" is treated the same as a small "p".
Not | If enabled, this means that the Criteria Area does not contain the search text you have defined anywhere. Example: If you put "PopTray" in the text area, everything that does not have the word "PopTray" will cause the rule to match. Note: Be careful with this option. An easy mistake to make is to create a rule that would delete everything that doesn't contain your e-mail address in the TO: field, but that would mean that any message sent as a CC: or BCC: to you will also be deleted.
Area The area within your e-mail messages that you want to test for the text or criteria you have defined.
Header: Anywhere in the header. TIP: Use this with caution. Using text such as "from", "date" or other text that may be in all e-mail headers will cause your rule to match on all e-mail messages.
From: The name and e-mail address of the person who sent the message. Example: "Joe Smith" <jsmith@email.com>
From (Name): Just the name of the person who sent the message. Example: "Joe Smith"
From (Address): Just the e-mail address of the person who sent the message. Example: <jsmith@email.com>
Subject: The subject line of the message.
To: The name or e-mail address where the message was sent to.
CC: Additional names or e-mail addresses where the message was sent to.
Status: Checks if an e-mail has the following qualities or attributes.

  • Protected - Protected by either the white list or a rule.
            •
  • To be Deleted - Checks if a message is marked for deletion. ** Only works along with the "Delete Mail only on Next Check" option on the General Options page.
            •
  • Ignored - Checks if a message is marked as ignored.
            •
  • Spam - Checks if a messages is marked as spam.
            •
  • Important - Checks if a message is marked as important. **Important isn't the same as an e-mails priority level.
            •
  • Has Attachment - Checks if an e-mail has an attachment.
            •
  • Viewed - Checks to see if an e-mail has been viewed in the Mail window.
            •
  • New - Checks to see if an e-mail is new since the last mail check.
            •
    Body: Tests the body of the e-mail message for the search text you have defined. ** This is only available if you have the "Retrieve Body while Checking" option enabled on the Advanced Options page.
    Compare Method
    Contains: | Checks to see if the search text or criteria is contained anywhere in the Criteria Area.
Equals: | Checks to see if the Criteria Area is exactly the same as your search text or criteria. This is case-insensitive.
WildCard: | Allows you to specify wildcards in your search text or criteria. Two wildcard characters are supported: * Will match any number of characters. ? Will match only any single character. Examples: sp*m will match if the criteria text is "spam" or "spaaam", sp?m will match only for "spam" or "sp@m", not "spaam". Without using any wildcards, the text is compared the same as if you had used "Equals". If you use *text*, it will compare the same as if you had used "Contains". If you use "a*", it will match all words where the text start with an "a".
Empty: | Matchs if the Criteria Area contains no characters at all. Note: Spaces are considered characters so if an area has spaces it won't be considered empty.
RegExpr: | Using regular expressions allows your searchs to be very precise or very flexible. You could say that its is like Wildcards on steriods. To learn more about regular expressions, visit PopTray's Website and Forum or do a search on the internet for "regular expressions" To test if your regular expression syntax you have made is valid, just press the [image] button next to it.
    Actions PopTray can perform the following actions when an e-mail message arrives that matchs the criteria that you have defined.
    Delete from Server: Delete the message from the server without showing it to you or notifying you of it's arrival. Use With Caution.
    Play Sound: Will allow you to play a different sound than the account or default sound.
    Mark as Spam: Mark the message as Spam. It will be shown with a different icon [image] and you can delete all spam messages by click the "Del Spam" button in the Mail Window.
    Execute file: Run the selected program or open the selected file.

    You can specify macros in the command you want to execute, and these will be replaced by the corresponding value.
      The following macros are supported:
    • %ACCOUNT%
    • %ACCOUNTNUM%
    • %FROM%
    • %FROMADDRESS%
    • %TO%
    • %SUBJECT%
    • %DATE%
    • %SIZE%
    • %MSGID%
    • %UID%
    • %MSGNUM%
    Note: While you can use this by simply selecting the program to run or file to open, it can be very powerful also. This can extend PopTrays functionality to utilize every program's capability if it is available from the other program's command-line options.
    Ignore: PopTray won't notify you when the message arrives. No notification sound will be played, and it won't be indicated on the tray icon. It will also show a different icon [image] in the Mail Window.
    Tray Color: You can change the tray notification color to one that is different than the color selected for the account.
    Important: The message will be marked as important and a different icon [image] will be displayed. Also a balloon pop-up (on Win2000 and later) will be displayed that an important message has arrived.
    Protect against
    auto-delete:         		Protect the message against rules and the blacklist that would otherwise delete the message. Also protect against being marked a spam. The message will get a green icon [image] to show it is protected.
    Log Rule: When "Log Rules" is enabled, this rule will get written to the log when a rule has a match. ** Requires that the option Log Rules also be enabled in the Miscellaneous Options page.

    The log is named Rules.log and can be found in the PopTray or User defined directory.

    After filling in the details above, remember to click the "Save Rules" button. This will save all the rules to Rules.ini file in the PopTray or User defined directory.


Tray
PopTray will display an indicator in your system tray at all times.

This tray icon is useful to see at a glance how many new messages are waiting for you.
There are no new messages for you.
There is 1 new message for you. The red circle indicates it is in the account that you marked as Red.
Currently busy connecting to a POP3 server and checking for new mail.
Currently busy deleting messages from the server
There was an error connecting to one of your accounts. The status bar of that account will show the error message.
AutoCheck is disabled. PopTray will not automatically check for new mail.

Clicking on the Tray Icon can be customized on the Options tab, to perform any of the predefined actions.


What's New


What's New 2.1

What's New
What's New in PopTray 2.1
With eleven months of beta testing PopTray 2.1 is now very stable and many new features and enhancements have been added since version 2.0.

Some of the most significant changes are:
  • Translated into Multiple Languages
    With the help of many volunteers PopTray is now translated into more than 20 languages. Translation is done by just creating a text file than contains the translated phrases found in blank.ptlang. Volunteers for new languages are welcome to send me their translations, and it will be added to the next version of PopTray.
  • Specify E-Mail Program per Account
    You can now assign a different e-mail client to each account.
  • Specify POP3 port
    Using the syntax "server:port" you can now specify a different POP3 port. Mostly used for proxy server access to your mail server.
  • Preview Enhancements
    New buttons on the Preview screen adds the following features:
    • Print - Prints the current previewed message to your default printer.
    • Reply - Reply to the current message using your default e-mail client. If the MAPI option is used, the original message will be quoted in the reply.
    • Delete - When the Safe Delete option is used you can delete the message from the server directly from the preview window.
  • New Options
    The options tab now has a quick help button that will give a short description of the option.
    The following new options have been added:
    • Quick Checking - If your mail server supports the UIDL command, this option will speed up checking by first looking if anything changed on the server. If nothing changed, then it won't download all the headers again.
    • Balloon Notification - On Windows 2000 / XP / ME a balloon hint will pop-up to show when new mail arrives.
    • User-defined Connection TimeOut - For slow servers or slow connections, you might want to increase the time to try connecting, before give a connection error.
    • MAPI instead of "mailto:" - Simple Messaging Application Programming Interface (MAPI) is a DLL supplied with some mail clients for easy interfacing to the mail client. If your mail program supports Simple MAPI, it will give PopTray more features in communicating with your mail client. Advantages include quoting the entire message body when replying from the preview screen and sending attachments (by dropping files on PopTray).
    • Safe Delete - Using the POP3 UIDL command (if supported by your server), PopTray will first check the ID of the message before deleting it. This ensures that it is still the same message on the server, and that you don't delete a different message by mistake.
  • Rules Enhancements
    The rules system has been changed as follows:
    • NOT Contains - You can now create rules that check that an area doesn't contain the specified text.
    • Specify Account - Specify that a rule only checks a specific account, or all accounts.
    • New Messages Only - Only apply the rule if it's the first time the message is encountered.
    • Important Messages - Marking a message as important will display a different icon in the message list, and a balloon (Windows 2000 / XP / ME) will pop-up when such a message arrives.
  • Sample Sound Files included
    To save you some time searching the Net for notification sounds, or recording your own, PopTray now includes a few WAV files for notification. Higher quality sound files can also be downloaded from the PopTray web site. Thanks to Nelinha for lending me her voice.

For more details about PopTray changes, see History.txt in the Poptray directory.

The Future of PopTray
For hints on where the development of PopTray is heading in the future, regularly check the forums at http://forum.poptray.org.


What's New 3.0

What's New
What's New in PopTray 3.0
New features and enhancements added since version 2.1.

Some of the most significant changes are:
  • XP Look
    All toolbars and buttons now look more like Windows XP applications. All icons are true color (including the tray icon). The PopTray controls now also support XP themes.
  • Plug-ins
    PopTray 3.x now supports plug-ins. These are DLLs copied into your plugins directory for more functionality in PopTray. PopTray 3.0 supports two types of plugins: Protocol and Notify. Example plugins (like IMAP4, POP3SSL, Hotmail) are available for download from the PopTray website.
  • Attachments
    The preview screen now has proper support for attachments. It will list them with icons, and you can save them to disk.
  • White List / Black List
    Quickly list your friends and enemy e-mail address. Messages from anyone in the black list will be deleted (or marked as spam) without you having to create a rule. Mail from people in the white list will be protected against auto-deletion.
  • Customizable Toolbars
    There are three fully customizable toolbars (mail,accounts,rules). Use drag-and-drop to add and remove buttons from the toolbar.
  • Options new look
    The options screen has been redesigned with a tree-view to break the options into logical divisions.
  • New Options
    The following new options have been added:
    • Remember viewed Messages - Poptray will remember when you've viewed a message and save the IDs to disk so it will be saved even after quiting the program.
    • Quick Checking - Quick Checking has been improved a lot. With this option only new message headers will be downloaded.
    • Advanced Show Info - This will pop-up a info window showing all new messages since your last check. Also show a summary of all your accounts, and includes buttons to quickly run your e-mail client or ignore the new mail.
    • Hide Viewed Messages - This is handy for people the leave their messages on the server and don't want the PopTray window cluttered with old messages.
    • Don't Check between - Specify the hours that you want to automatically disable checking in PopTray.
    • Retrieve Body while Checking - Usefull when you have fast connection. The complete body can be checked by the rules, and also external Bayesian filters can analize your message body.
  • Command-line Options
    PopTray now supports calling actions from the command-line for powerful scheduling options.

For more details about PopTray changes, see History.txt in the Poptray directory.

The Future of PopTray
For hints on where the development of PopTray is heading in the future, regularly check the forums at http://forum.poptray.org.


What's New 3.1

What's New
What's New in PopTray 3.1
New features and enhancements added since version 3.0.3

Some of the most significant changes are:
  • Enhanced Rules

    • The new enhancements allows the following:
    • Multiple Rule Rows - Each rule can now have multiple rows for its criteria allowing you to group similar criteria together with boolean logic. By grouping criteria, you can make the rule fire if any criteria match or only when all criteria match.
    • New Rule Area: Regular Expressions - You can now may use powerful regular expressions to create very flexible and/or more precise rules.
    • New Rule Area: Message Status - Allows you to create rules for messages that are identified as Protected, To be Deleted, Ignored, Spam, Important, Has Attachment, Viewed or New.
    • New Rule Action: Change Tray Color - Will change the message count icon color in the tray from the default color for that account to the new one you've selected for this rule.
    • Changed Rule Drag-and-Drop method - Changed Rule drag-and-drop to the right mouse button to limit the accidental reordering of Rules.
    • Added Up/Down Buttons to Reorder the Rules - Up/Down Buttons added for reordering the Rules lists.
    • Restructured the rule importing/loading
  • Mail Window Enhancements

    • The following enhancements have been added:
    • Undelete Mail - Messages marked for deletion can be unmarked so they won't be deleted. This only works in conjuction with the new option 'Delete Mail only on Next Check'.
    • Easily Create Rules based on Subject with a Right-Click - You may now easily create a rule based on subject in addition to the sender with a simple right-click on the mouse.
    • Create a Single Rule with Multiple Criteria with a Right-Click - You may now easily create a single rule with multiple criteria rows based on subjects or senders with a simple right-click on the mouse.
    • Improved Delete from Preview Window - The method used to delete a message from the Preview windows has been improved.
    • Sort Spam Last also sorts Deleted Last - The Sort Spam Last option now also Sorts Deleted items Last. This only works in conjuction with the new option 'Delete Mail only on Next Check'.
    • Protect Existing Messages when added to Whitelist with a Right-Click - Messages are now protected immediately when added to the whitelist with a right-click instead of after the next mail check.
    • Status Bar Enhanced - The status bar now shows a message count next to a status icon.
  • New Options Added

    • The following new options have been added:
    • Delete Mail only on Next Check - PopTray will only mark messages for deletion instead of deleting them immediately. This allows time to make changes to the selections and also uses your internet connection more efficiently. The next time after PopTray checks for new messages, PopTray will finally delete the selected messages from the e-mail server.
    • Show Messages while Checking - PopTray will now list new messages as it learns about them instead of waiting to diplay them after the mail check finishes.
    • Extra Confirmation when Deleting Protected Messages - PopTray can now request an additional confirmation when deleting a protected message to ensure that is what you want done.
  • Now More Translations Included

    • Poptray's UI (user interface) now has over 35 translations with the help of many volunteers. Translations are simply created by adding the translated phrase next to the original phrases found in blank.ptlang. Volunteers for new languages are welcome to send me their translations, and it will be added to the next version of PopTray. The latest translations added are:
    • Croatian
    • Galician
  • Minor Changes

    • Some of the other changes:
    • Faster Screen Updates.
    • Minor AboutBox changes.

For more details about PopTray changes, see the History.txt in the Poptray directory.

The Future of PopTray
For hints on where the development of PopTray is heading in the future, regularly check the forums at http://forum.poptray.org.


Command-line Options
Usage:
 PopTray [Path to INI file] [/MULTIPLE] [/ACTION:actionname] [/QUIT]
Options:
MULTIPLE | Allow multiple intances of PopTray. With this switch and new copy of PopTray will be launched. Otherwise the existing running copy of PopTray will be given focus.
ACTION Execute one of the Mouse Actions.

The following actions are supported:
  • Show
  • Check
  • RunClient
  • CheckShow
  • Info
  • CheckInfo
  • Window
  • AutoCheck
  • New
  • Sound
  • DelSpam
  • MarkViewed
  • AutoCheckOn
  • AutoCheckOff
  • SoundOn
  • SoundOff
QUIT | Closes the running copy of PopTray and then exit.

Example:
PopTray "C:\Program Files\PopTray\" /ACTION:Check

Example to setup multi-user accounts:
PopTray, by default, saves all its settings in the PopTray directory and would be shared by all users.
You can specify a different directory for each user by using the command-line:
"C:\Program Files\PopTray\PopTray.exe" "%USERPROFILE%"
or
"C:\Program Files\PopTray\PopTray.exe" "%HOMEDRIVE%%HOMEPATH%"
The settings files will then be created in each users home directory, which is different for each user on the PC.


FAQ

Frequently Asked Questions
Q1. Does PopTray support webmail (Hotmail,Yahoo,etc.)?
A1. Not by default. PopTray is written to specifically support POP3 mail servers. With the introduction of protocol plug-ins in PopTray 3.0 anybody can now write plugins to support other mail protocols. A Hotmail plugin is available for download from the PopTray website.

Q2. The reply/new buttons don't open the specified e-mail program.
A2. This is how PopTray is designed. Since it supports any e-mail client, it cannot know how to specify a reply by just knowing the executable file. Therefore it uses either a "mailto:" link, or Simple-MAPI (depending on the option), which will open your default e-mail client.

Q3. Can I setup Poptray to run in a multi-user environment?
A3. Yes. PopTray saves all its settings in the PopTray.ini file. You can specify a different directory for the file on the command-line. By using the command-line
"C:\Program Files\PopTray\PopTray.exe" "%USERPROFILE%"
or "C:\Program Files\PopTray\PopTray.exe" "%HOMEDRIVE%%HOMEPATH%"
your PopTray.ini file will be created in your user home directory, which is different for each user on the PC.


About

Contact Info
Name: | Renier Crause
Country: | South Africa
Home Page: | http://www.crause.co.za
Forum: | http://forum.poptray.org

Web Site
The PopTray web site is http://www.poptray.org

You will always find the latest version of PopTray here. New beta versions are also available from time to time. The full source code (written in Delphi 7) is also available for download.

If you would like to be notified op new updates, you can join the PopTray mailing list on my site. I will send you an e-mail every time a new version or beta version of PopTray is released.

On the About tab of PopTray you will find a link that will check if you have the newest available version of PopTray. Clicking on the link will open your default browser and automatically go to my site to compare your version with the newest released version.


Contact Info
Name: | Renier Crause
Country: | South Africa
Home Page: | http://www.crause.co.za
Forum: | http://forum.poptray.org

Web Site
The PopTray web site is http://www.poptray.org

You will always find the latest version of PopTray here. New beta versions are also available from time to time. The full source code (written in Delphi 7) is also available for download.

If you would like to be notified op new updates, you can join the PopTray mailing list on my site. I will send you an e-mail every time a new version or beta version of PopTray is released.

On the About tab of PopTray you will find a link that will check if you have the newest available version of PopTray. Clicking on the link will open your default browser and automatically go to my site to compare your version with the newest released version.